The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

REST API call to import user information

Prev Next

Use this REST API call to send a request to import user information.

POST request URL

https://<epo_server_name:port>/rest/dlp/userInfo/import

Where, epo_server_name:port is the server IP address and port number.

Request Parameters

Form Parameters (multipart/form-data)

Parameter name

Description

Required

Values

Authorization

User credentials for ePO - On-prem.

Required

Parameter name

Description

Required

Values

importFile

CSV file containing records to be imported.

Required

File

Sample POST request URL

https://172.27.108.53:8443/rest/dlp/userInfo/import

Sample cURL command

curl -k -v -X POST 'https://172.27.108.53:8443/rest/dlp/userInfo/import' -u '<user>:<password>' -F 'importFile=@"/path/to/file/fileName.csv"'

Sample request (multipart/form-data)

{
      "importFile": the CSV file 
}

Sample response

User Info imported successfully

Status and error codes

List of HTTP status codes returned for the query.

Code

Description

200 OK

The response returns a string.

400 Bad Request

None

404 Not Found

Incorrect ePO - On-prem URL.

500 Internal Server Error

Returns an internal server error if:

  • Body is missing or empty.

  • CSV Headers do not match or are incorrect.

  • Invalid values for columns.

  • Mandatory values are missing.